/* Общие стили для всех элементов формы */

/* Основная структура */
.contactForm__container {
    width: 64%;
    max-width: 1920px;
    display: flex;
    background-color: var(--color-white);
    border-radius: 30px;
    margin: auto auto 104px;
    box-sizing: border-box;
}

.contactForm__instructions {
    padding: 28px 40px;
}

.contactForm__instructions-container {
    position: relative;
}

.contactForm__line {
    width: 94%;
    border-bottom: 1px solid var(--color-accent-blue);
}

.contactForm__title {
    padding-bottom: 20px;
}

.contactForm__submission {
    min-width: 50%;
    background-color: var(--color-accent-blue);
    border-radius: 30px;
    padding: 30px 30px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

/* Шаги формы */
.contactForm__steps {
    list-style: none;
    counter-reset: step;
    margin: 0;
    padding: 28px 0;
}

.contactForm__step {
    counter-increment: step;
    font-size: 15px;
    font-weight: 500;
    line-height: 1.5;
    margin: 0;
    padding-bottom: 20px;
    padding-left: 30px;
    position: relative;
}

.contactForm__step::before {
    content: counter(step, decimal-leading-zero);
    position: absolute;
    top: 0;
    left: 0;
    font-size: 18px;
    font-weight: 600;
    color: var(--color-accent-blue);
}

/* Примечания и контакты */
.contactForm__note,
.contactForm__contactsTitle,
.contactForm__phone,
.contactForm__email {
    font-size: 16px;
    font-weight: 500;
    line-height: 1.5;
    margin: 0;
}

.contactForm__note {
    padding-bottom: 20px;
}

.contactForm__note, .contactForm__contactsTitle {
    margin-bottom: 20px;
}

.contactForm__contacts a {
    color: var(--color-accent-blue);
    font-weight: 400;
    font-size: 16px;
    text-decoration: none;
}

.contactForm__email {
    color: var(--color-accent-blue);
    text-decoration: none;
    cursor: pointer;
}

/* Форма */
.contactForm__inputFieldset {
    border: none;
    padding: 0;
    margin: 0;
    display: flex;
    box-sizing: border-box;

    margin-bottom: 40px;
}

.contactForm__inputWrapper {
    position: relative;
    flex: 1;
    margin-right: 15px;
}

.contactForm__inputWrapper:last-child {
    margin-right: 0;
}

.contactForm__label {
    font-size: 16px;
    font-weight: 500;
    color: var(--color-white);
    transition: all 0.2s;
    pointer-events: none;
}

.contactForm__inputFieldset input:not([type="submit"]),
.contactForm__inputFieldset textarea {
    background-color: transparent;
    border: none;
    border-bottom: 1px solid var(--color-white);
    padding: 20px 0 10px;
    width: 100%;
    box-sizing: border-box;
    font-size: 16px;
    font-weight: 500;
    color: var(--color-white);
    transition: border-color 0.3s ease;
}

.contactForm__inputFieldset input:not([type="submit"]):focus,
.contactForm__inputFieldset textarea:focus {
    outline: none;
}

input:not([type=submit]):focus + .contactForm__label,
textarea:focus + .contactForm__label,
input:not([type=submit]):not(:placeholder-shown) + .contactForm__label,
textarea:not(:placeholder-shown) + .contactForm__label {
    top: -10px;
    font-size: 12px;
}

.contactForm__submit {
    width: 100%;
    display: block;
    padding: 15px;
    font-size: 16px;
    font-weight: 600;
    text-align: center;
    color: var(--color-accent-blue);
    background-color: var(--color-white);
    border: none;
    border-radius: 30px;
    cursor: pointer;
    transition: background-color 0.3s ease, color 0.3s ease;
}

.contactForm__submit:hover {
    background-color: var(--color-accent-blue);
    color: var(--color-white);
}

/* Чекбокс */
.contactForm__checkboxContainer {
    position: relative;
    display: flex;
    align-items: flex-start;
    cursor: pointer;
    padding-left: 40px; /* Отступ для чекбокса */
    margin-bottom: 15px;
    user-select: none;
}

input[type=checkbox] {
    position: absolute;
    opacity: 0;
    cursor: pointer;
}

.contactForm__checkboxContainer::after {
    content: '';
    position: absolute;
    top: 6px;
    left: 0;
    width: 28px;
    height: 28px;
    background-color: var(--color-accent-light-blue);
    border-radius: 5px;
    transition: background-color 0.3s;
    display: flex;
    align-items: center;
    justify-content: center;
}

.contactForm__checkboxContainer:has(input[type=checkbox]:checked)::after {
    content: '✔';
    color: var(--color-accent-blue);
}

.contactForm__textCheckbox {
    font-size: 12px;
    font-weight: 500;
    line-height: 18px;
    color: var(--color-white-opacity-mid);
    margin: 0;
    width: 93%;
}

.contactForm__textCheckbox a {
    color: var(--color-accent-pink);
    text-decoration: none;
}

.contactForm__textCheckbox a:hover {
    text-decoration: underline;
}

.contactForm__contacts .wrapper {
    grid-column-gap: 30px;
}


/* Медиазапросы */
@media screen and (max-width: 1700px) {
    .contactForm__container {
        width: 84%;
    }
}

@media screen and (max-width: 1300px) {
    .contactForm__container {
        width: 100%;
    }

    .contactForm__instructions {
        padding: 39px 15px 10px 15px;
    }

    .contactForm__instructions:last-of-type {
        padding: 10px 15px 30px 15px;
    }

    .contactForm__note {
        padding-bottom: 22px;
    }
}

@media screen and (max-width: 1024px) {
    .contactForm__container {
        flex-direction: column;
        margin-bottom: 64px;
    }

    .contactForm__submission {
        min-height: 602px;
        padding: 30px 15px;
    }

    .contactForm__line {
        display: none;
    }

    .contactForm__inputFieldset {
        margin-bottom: 45px;
        flex-direction: column;
        gap: 20px;
    }
}
